DELETE
https://api.breeze.blue/v1/voices/{voice_id}Delete a voice
Soft-delete a saved voice.
Authentication
API key: Send your Breeze Developer API key with the xi-api-key header.
Headers
| Field | Type | Description |
|---|---|---|
xi-api-keyrequired | string | Your Breeze Developer API key. See authentication. |
Path parameters
| Field | Type | Description |
|---|---|---|
voice_idrequired | string | Voice identifier returned by GET /v1/voices. |
Example request
python
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
client.voices.delete("voc_xeh3w54cqvnp")
typescript
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
await client.voices.delete("voc_xeh3w54cqvnp");
curl
curl -X DELETE "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp" \
-H "xi-api-key: $BREEZE_API_KEY"
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
client.voices.delete("voc_xeh3w54cqvnp")Response
Delete status.
Content types: application/json
Response headers:
x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
"status": "active"
}Errors
RESOURCE_NOT_FOUND— The voice_id does not exist or is not owned by the current account.
See the full list on errors.